curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/current/iteration_items \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/current/iteration_items"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/current/iteration_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"iteration_items": [
{
"actual_amount": 345,
"category_guid": "CAT-b6d61a19-30a7-e852-2703-bdfb4072289e",
"created_at": "2025-02-13T18:08:00+00:00",
"guid": "SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262",
"item_type": 1,
"planned_amount": 110,
"scheduled_payment_guid": "SCP-c731988a-712f-4f83-9b3b-0aa5b3d5208b",
"spending_plan_iteration_guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
"top_level_category_guid": "CAT-9588eaad-90a4-bb5c-66c8-1812503d0db8",
"transaction_guids": [
"TRN-265abee9-889b-af6a-c69b-25157db2bdd9"
],
"updated_at": "2025-02-13T18:09:00+00:00",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List spending plan iteration items
Use this endpoint to list all the spending plan iteration_items associated with the iteration.
Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20250224"
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
The unique ID for the spending_plan.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
OK
Hide child attributes
Hide child attributes
The sum of the transactions associated with the spending plan iteration_item.
345
The unique identifier for the category. Defined by MX.
"CAT-b6d61a19-30a7-e852-2703-bdfb4072289e"
The date and time the spending plan iteration item was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
The unique identifier for the spending plan iteration_item. Defined by MX.
"SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262"
The type of transaction grouping for the spending plan iteration_item (0 = RECURRING_EXPENSE, 1 = PLANNED_EXPENSE, 2 = OTHER_EXPENSE, 3 = INCOME).
0, 1, 2, 3 1
The total amount planned for a spending plan iteration_item.
110
The unique identifier for the scheduled_payment_guid associated with the spending plan iteration_item. Defined by MX.
"SCP-c731988a-712f-4f83-9b3b-0aa5b3d5208b"
The unique identifier for the spending plan iteration_item. Defined by MX.
"SPI-848e6648-3fa3-4632-ac8f-e65f03167102"
The unique identifier for the top_level_category_guid associated with the spending plan iteration_item. Defined by MX.
"CAT-9588eaad-90a4-bb5c-66c8-1812503d0db8"
An array of transaction GUIDs that are relevant to the spending plan iteration_item. Defined by MX.
"TRN-265abee9-889b-af6a-c69b-25157db2bdd9"
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2025-02-13T18:09:00+00:00"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
Hide child attributes
Hide child attributes
The page delivered by the current response.
1
The number of records delivered with each page.
25
The total number of records available.
1
The total number of pages available.
1

